gnutls_x509_crt_get_extension_by_oid(3)

NAME
gnutls_x509_crt_get_extension_by_oid - This function returns the specified extension

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_extension_by_oid(gnutls_x509_crt_t cert, const char * oid, int indx, void * buf, size_t * sizeof_buf, unsigned int * critical);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

const char * oid
    holds an Object Identified in null terminated string

int indx
    In case multiple same OIDs exist in the extensions, this specifies which to send. Use zero to get the first one.

void * buf
    a pointer to a structure to hold the name (may be null)

size_t * sizeof_buf
    initially holds the size of buf

unsigned int * critical
    will be non zero if the extension is marked as critical

DESCRIPTION
This function will return the extension specified by the OID in the certificate. The extensions will be returned as binary data DER encoded, in the provided buffer. A negative value may be returned in case of parsing error. If the certificate does not contain the specified extension GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.